/* FILE: scalarfieldinit.h      -*-Mode: c++-*-
 *
 * Abstract Oxs_ScalarFieldInit class, derives from Oxs_Ext, for
 * initializing Oxs_MeshValue<REAL8m> objects.
 */

#include "ext.h"
#include "director.h"
#include "scalarfieldinit.h"


/* End includes */

////////////////////////////////////////////////////////////////////////
// Oxs_ScalarFieldInit (generic Oxs_Ext scalar field) class

// Constructors
Oxs_ScalarFieldInit::Oxs_ScalarFieldInit
( const char* name,     // Child instance id
  Oxs_Director* newdtr  // App director
  ) : Oxs_Ext(name,newdtr)
{}

Oxs_ScalarFieldInit::Oxs_ScalarFieldInit
( const char* name,     // Child instance id
  Oxs_Director* newdtr, // App director
  Tcl_Interp* safe_interp, // Safe interpreter
  const char* argstr    // MIF block argument string
  ) : Oxs_Ext(name,newdtr,safe_interp,argstr)
{}
